#line 1 "D:/Projects/GainAMP_click/example/PIC32/GainAMP_PIC32.c"
#line 1 "d:/projects/gainamp_click/library/include/gain_amp.h"
#line 1 "c:/users/branislav.marton/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/branislav.marton/documents/mikroelektronika/mikroc pro for pic32/include/stdbool.h"



 typedef char _Bool;
#line 64 "d:/projects/gainamp_click/library/include/gain_amp.h"
typedef void ( *gainamp_write_spi_t )( unsigned long data_out );
#line 127 "d:/projects/gainamp_click/library/include/gain_amp.h"
void gain_amp_init( gainamp_write_spi_t write_spi );
#line 143 "d:/projects/gainamp_click/library/include/gain_amp.h"
uint8_t gain_amp_set( uint8_t channel_a, uint8_t channel_b );
#line 154 "d:/projects/gainamp_click/library/include/gain_amp.h"
void gain_amp_shutdown(  _Bool  flag );
#line 26 "D:/Projects/GainAMP_click/example/PIC32/GainAMP_PIC32.c"
sbit GAIN_AMP_CS at RC2_bit;
sbit GAIN_AMP_SHDN at RC1_bit;

sbit GAIN_AMP_CS_DIR at TRISC2_bit;
sbit GAIN_AMP_SHDN_DIR at TRISC1_bit;


static uint8_t gain;
static uint8_t byte;

static void system_init( void );


static void system_init( void )
{
 AD1PCFG = 0xFFFF;

 GAIN_AMP_CS_DIR =  0 ;
 GAIN_AMP_SHDN_DIR =  0 ;
 GAIN_AMP_CS = 1;


 TRISG0_bit =  1 ;
 TRISG1_bit =  1 ;


 TRISB =  0x00 ;


 SPI3_Init_Advanced(
 _SPI_MASTER,
 _SPI_8_BIT,
 1,
 _SPI_SS_DISABLE,
 _SPI_DATA_SAMPLE_MIDDLE,
 _SPI_CLK_IDLE_HIGH,
 _SPI_ACTIVE_2_IDLE
 );


 gain_amp_init( SPI3_Write );

 gain = 0;
}

void main()
{
 system_init();

 gain_amp_set( (0x00) ,  (0x80) );

 while( 1 )
 {
 if(Button(&PORTG, 1, 100, 1))
 {
 byte = gain_amp_set(++gain & 0x07,  (0x80) );
 PORTB = byte;
 }
 if(Button(&PORTG, 0, 100, 1))
 {
 byte = gain_amp_set(--gain & 0x07,  (0x80) );
 PORTB = byte;
 }
 }
}
