GainAMP_PIC32_system_init:
;GainAMP_PIC32.c,39 :: 		static void system_init( void )
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;GainAMP_PIC32.c,41 :: 		AD1PCFG = 0xFFFF;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;GainAMP_PIC32.c,43 :: 		GAIN_AMP_CS_DIR = PIN_DIR_OUT;
LUI	R2, BitMask(TRISC2_bit+0)
ORI	R2, R2, BitMask(TRISC2_bit+0)
_SX	
;GainAMP_PIC32.c,44 :: 		GAIN_AMP_SHDN_DIR = PIN_DIR_OUT;
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;GainAMP_PIC32.c,45 :: 		GAIN_AMP_CS = 1;
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;GainAMP_PIC32.c,48 :: 		TRISG0_bit = PIN_DIR_IN;
LUI	R2, BitMask(TRISG0_bit+0)
ORI	R2, R2, BitMask(TRISG0_bit+0)
_SX	
;GainAMP_PIC32.c,49 :: 		TRISG1_bit = PIN_DIR_IN;
LUI	R2, BitMask(TRISG1_bit+0)
ORI	R2, R2, BitMask(TRISG1_bit+0)
_SX	
;GainAMP_PIC32.c,52 :: 		TRISB = PIN_ALL_DIR_OUT;
SW	R0, Offset(TRISB+0)(GP)
;GainAMP_PIC32.c,59 :: 		_SPI_SS_DISABLE,
MOVZ	R28, R0, R0
;GainAMP_PIC32.c,58 :: 		1,
ORI	R27, R0, 1
;GainAMP_PIC32.c,57 :: 		_SPI_8_BIT,
MOVZ	R26, R0, R0
;GainAMP_PIC32.c,56 :: 		_SPI_MASTER,
ORI	R25, R0, 32
;GainAMP_PIC32.c,62 :: 		_SPI_ACTIVE_2_IDLE
ADDIU	SP, SP, -8
SH	R0, 4(SP)
;GainAMP_PIC32.c,61 :: 		_SPI_CLK_IDLE_HIGH,
ORI	R2, R0, 64
SH	R2, 2(SP)
;GainAMP_PIC32.c,60 :: 		_SPI_DATA_SAMPLE_MIDDLE,
SH	R0, 0(SP)
;GainAMP_PIC32.c,62 :: 		_SPI_ACTIVE_2_IDLE
JAL	_SPI3_Init_Advanced+0
NOP	
ADDIU	SP, SP, 8
;GainAMP_PIC32.c,66 :: 		gain_amp_init( SPI3_Write );
LUI	R25, hi_addr(_SPI3_Write+0)
ORI	R25, R25, lo_addr(_SPI3_Write+0)
JAL	_gain_amp_init+0
NOP	
;GainAMP_PIC32.c,68 :: 		gain = 0;
SB	R0, Offset(GainAMP_PIC32_gain+0)(GP)
;GainAMP_PIC32.c,69 :: 		}
L_end_system_init:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of GainAMP_PIC32_system_init
_main:
;GainAMP_PIC32.c,71 :: 		void main()
;GainAMP_PIC32.c,73 :: 		system_init();
JAL	GainAMP_PIC32_system_init+0
NOP	
;GainAMP_PIC32.c,75 :: 		gain_amp_set(GAIN_AMP_NOMINAL_0, GAIN_AMP_SW_SHUTDOWN);
ORI	R26, R0, 128
MOVZ	R25, R0, R0
JAL	_gain_amp_set+0
NOP	
;GainAMP_PIC32.c,77 :: 		while( 1 )
L_main0:
;GainAMP_PIC32.c,79 :: 		if(Button(&PORTG, 1, 100, 1))
ORI	R28, R0, 1
ORI	R27, R0, 100
ORI	R26, R0, 1
LUI	R25, hi_addr(PORTG+0)
ORI	R25, R25, lo_addr(PORTG+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main7
NOP	
J	L_main2
NOP	
L__main7:
;GainAMP_PIC32.c,81 :: 		byte = gain_amp_set(++gain & 0x07, GAIN_AMP_SW_SHUTDOWN);
LBU	R2, Offset(GainAMP_PIC32_gain+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(GainAMP_PIC32_gain+0)(GP)
ANDI	R2, R2, 7
ORI	R26, R0, 128
ANDI	R25, R2, 255
JAL	_gain_amp_set+0
NOP	
SB	R2, Offset(GainAMP_PIC32_byte+0)(GP)
;GainAMP_PIC32.c,82 :: 		PORTB = byte;
ANDI	R2, R2, 255
SW	R2, Offset(PORTB+0)(GP)
;GainAMP_PIC32.c,83 :: 		}
L_main2:
;GainAMP_PIC32.c,84 :: 		if(Button(&PORTG, 0, 100, 1))
ORI	R28, R0, 1
ORI	R27, R0, 100
MOVZ	R26, R0, R0
LUI	R25, hi_addr(PORTG+0)
ORI	R25, R25, lo_addr(PORTG+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main9
NOP	
J	L_main3
NOP	
L__main9:
;GainAMP_PIC32.c,86 :: 		byte = gain_amp_set(--gain & 0x07, GAIN_AMP_SW_SHUTDOWN);
LBU	R2, Offset(GainAMP_PIC32_gain+0)(GP)
ADDIU	R2, R2, -1
SB	R2, Offset(GainAMP_PIC32_gain+0)(GP)
ANDI	R2, R2, 7
ORI	R26, R0, 128
ANDI	R25, R2, 255
JAL	_gain_amp_set+0
NOP	
SB	R2, Offset(GainAMP_PIC32_byte+0)(GP)
;GainAMP_PIC32.c,87 :: 		PORTB = byte;
ANDI	R2, R2, 255
SW	R2, Offset(PORTB+0)(GP)
;GainAMP_PIC32.c,88 :: 		}
L_main3:
;GainAMP_PIC32.c,89 :: 		}
J	L_main0
NOP	
;GainAMP_PIC32.c,90 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
